# class Bundler::Source::Git::GitNotAllowedError

### Public Class Methods

new(command) click to toggle source
Calls superclass method `Exception::new`

    # File lib/bundler/source/git/git_proxy.rb, line 18
    def initialize(command)
      msg = String.new
      msg << "Bundler is trying to run a `git #{command}` at runtime. You probably need to run `bundle install`. However, "
      msg << "this error message could probably be more useful. Please submit a ticket at http://github.com/bundler/bundler/issues "
      msg << "with steps to reproduce as well as the following\n\nCALLER: #{caller.join("\n")}"
      super msg
    end